Status Pages
Read the status pages of your organisation.
Gets list of all the status pages of an organisation.
Authorizations
x-api-keystringRequired
Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.
Header parameters
x-api-keystringRequired
Your API key. Find it in your Spike dashboard under Settings > API.
Responses
200
Successful response
application/json
successbooleanOptional
401
Unauthorized
application/json
get/api/status-page/all
GET /api/status-page/all HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Accept: */*
{
"success": true,
"data": [
{
"_id": "66c1d2e3f4a5b60718293a4b",
"name": "Acme Corp Status",
"domain": "status.acme.io",
"org": "5f72e289b17d1656e0115098",
"createdAt": "2026-03-13T09:41:00.000Z"
}
]
}Gets details of a status page
Accepts parameter id of status page
Authorizations
x-api-keystringRequired
Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.
Path parameters
status_page_idstringRequired
status_page_id parameter
Header parameters
x-api-keystringRequired
Your API key. Find it in your Spike dashboard under Settings > API.
Responses
200
Successful response
application/json
successbooleanOptional
dataobjectOptional
401
Unauthorized
application/json
404
Not found
application/json
get/api/status-page/{status_page_id}
GET /api/status-page/{status_page_id} HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Accept: */*
{
"success": true,
"data": {
"_id": "66c1d2e3f4a5b60718293a4b",
"name": "Acme Corp Status",
"domain": "status.acme.io",
"org": "5f72e289b17d1656e0115098",
"createdAt": "2026-03-13T09:41:00.000Z"
}
}Last updated
Was this helpful?